<script lang="ts">
	import { goto } from '$app/navigation';
	import { slide } from 'svelte/transition';
	import { isSmallScreen } from '../../stores/stores';
	import UnderlinedLink from './UnderlinedLink.svelte';
	import UnderlinedButton from './UnderlinedButton.svelte';
	import { clickOutside } from '$lib/clickOutside';
	import WalletModal from './WalletModal.svelte';
	import { onMount } from 'svelte';
	import Cart from '../Cart.svelte';
	import { getCustomerById } from '../../routes/api/customer/customer';
	import { isVisitor, updateWalletStore } from '../../stores/stores';

	let showProfile = false;
	let showModal = false;

	let customerID = '';
	onMount(() => {
		customerID = sessionStorage.getItem('customerID');
	});

	let userBalance = 0;
	$: if (!$isVisitor && customerID) {
		updateBalance();
	}

	$: if ($updateWalletStore) {
		updateBalance();
		$updateWalletStore = false;
	}

	const updateBalance = () => {
		getCustomerById(customerID).then((v) => (userBalance = v?.customer?.wallet.balance ?? 0));
	};
</script>

<div
	class="flex flex-row w-full h-1/6 bg-success-500 justify-between items-center px-4 shadow-xl"
	transition:slide
>
	<button
		class="flex flex-col gap-1 items-center justify-center h-full text-lg"
		on:click={() => {
			goto('/');
		}}
	>
		<img src="logo-main.png" class="h-1/2" alt="logo" />
		{#if !$isSmallScreen}
			<!-- <h1><b>Rock</b> your hotel</h1> -->
		{/if}
	</button>
	<div class="flex flex-row gap-4 text-lg font-medium items-center">
		<!-- <UnderlinedLink label="Se connecter" link="/login" contain="login" />
		<UnderlinedLink label="Créer un compte" link="/create-account" contain="create-account" /> -->
		<UnderlinedLink label="Réserver" link="/reserve" contain="reserve" />
		<UnderlinedLink label="Mes réservations" link="/my-reservation" contain="my-reservation" />
		<!-- {#if window && window.sessionStorage.getItem('customerID')} -->
		{#if customerID}
			<UnderlinedButton
				label={'Balance : ' + userBalance + '€'}
				on:click={() => (showModal = true)}
			/>
			<UnderlinedButton>
				<Cart />
			</UnderlinedButton>

			<div class="h-fit border-l border-black">&nbsp;</div>
			<UnderlinedButton
				label="Déconnection"
				on:click={() => {
					window.sessionStorage.removeItem('customerID');
					goto('/');
				}}
			/>
		{/if}
	</div>
</div>
<WalletModal bind:showModal />
